Bug 986418 - System update silently fails
System update silently fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
18
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 13:44 EDT by Ben Hutchings
Modified: 2014-02-05 17:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:09:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of pkmon when carrying out steps 1-3 then repeating steps 2-3 (329.60 KB, text/x-log)
2013-07-19 13:44 EDT, Ben Hutchings
no flags Details
output of gpk-update-viewer when carrying out steps 1-3 then repeating steps 2-3 (682 bytes, text/plain)
2013-07-19 13:45 EDT, Ben Hutchings
no flags Details

  None (edit)
Description Ben Hutchings 2013-07-19 13:44:57 EDT
Created attachment 775902 [details]
output of pkmon when carrying out steps 1-3 then repeating steps 2-3

I can no longer update packages when notified that 'System updates are available' (I think that's what it says) or by directly running gpk-update-viewer.

Version-Release number of selected component (if applicable):
3.6.2-1.fc18

How reproducible:
Always (on this computer)

Steps to Reproduce:
1. Run gpk-update-viewer. A list of upgradable packages appears.
2. Click 'Install'.
3. A window opens with a list of additional changes. Click 'Continue'.

Actual results:
The second window closes and nothing else happens, except the 'Install' button is usually disabled.

Expected results:
The second window closes, packages are upgraded and the update window shows progress.

Additional info:
Logs from pkmon and gpk-update-viewer are attached.

Selecting 'Install Updates & Restart' from the system menu didn't work.

I *was* able to select and then upgrade a small set of packages (kernel, kernel-devel, kernel-headers).
Comment 1 Ben Hutchings 2013-07-19 13:45:30 EDT
Created attachment 775903 [details]
output of gpk-update-viewer when carrying out steps 1-3 then repeating steps 2-3
Comment 2 Fedora End Of Life 2013-12-21 09:21:44 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 17:09:34 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.